{
  lib,
  config,
  pkgs,
  ...
}: let
  inherit (lib) mkEnableOption mkIf;

  cfg = config.marleyos.programs.wofi;
in {
  options.marleyos.programs.wofi.enable = mkEnableOption "wofi";

  config = mkIf cfg.enable {
    marleyos.apps.launcher = {
      package = pkgs.wofi;
      command = "--show drun";
    };

    programs.wofi = {
      enable = true;
    };
  };
}
